Linux OS-brugere med Ubuntu 10.x og 11.x ser nogle gange en tom eller sort skærm med Flash Player 11, når der afspilles beskyttet videoindhold. Problemet opstår f.eks. med tjenester som Amazon Instant Video. Et manglende Ubuntu-HAL-modul (abstraktionslag for hardware), der ikke installeres som standard, er årsag til dette problem. Hvis leverandøren støder på fejlmeddelelser, ser brugerne DRM-fejlen 3323 eller 3322.

Forudsætninger for afspilning af beskyttet indhold

For Ubuntu 10.04 eller senere skal det sikres, at modulet med abstraktionslaget for hardware først installeres vha. apt-get.
Vær opmærksom på "HAL"-installationsfejl, da en beskadiget pakkeinstallation kan fortsætte med at påvirke afspilningen af video.

sudo apt-get install hal

Efter installationen af biblioteket "libhal" (HAL) er gennemført, skal du lukke browseren og rydde Adobe Access-mapperne ved at udføre følgende shell-kommandoer:

cd ~/.adobe/Flash_Player
rm -rf NativeCache AssetCache APSPrivateData2

Bemærk:

Hvis modulet med abstraktionslaget for hardware mangler, fungerer Flash Player stadigvæk. Der kan imidlertid ikke afspilles beskyttet indhold, som kræver modulet Adobe Flash Access DRM (Digital Rights Management).

Understøttelse af bestemte 64-bit versioner af Linux

Adobe udgiver platformunderstøttelse til 32-bit og 64-bit Linux i afsnittet med systemkrav på webstedet for Flash Player 11. De aktuelt understøttede distributioner (32-bit og 64-bit) er Redhat Enterprise Linux 5.6 eller senere og Ubuntu 10.04 eller senere.

openSuse understøttes også.

Installer det rigtige 32-bit eller 64-bit Flash Player-ekstramodul

Gå til http://www.adobe.com/go/flashplayer_dk for at installere den seneste Flash Player til din platform og arkitektur.

Hvis du er usikker på, hvilken Linux-pakke du skal installere, skal du klikke på Har du et andet operativsystem eller en anden browser? for at vælge mellem flere operativsystemer.

openSuse- og andre Linux-versions

Nogle Linux-distributioner har deres egen måde at håndtere pakker på, især openSUSE. I openSUSE bruges RPM som det indbyggede pakkeformat. Distributionen har imidlertid sit eget overordnede værktøj til håndtering af installationer af systemsoftware. 
.rpm-installationer på openSuse (32-bit og 64-bit) er ikke helt ligetil. De udløser nogle gange den generiske fejl om, at der ikke blev modtaget et svar på meddelelsen, og at der opstod timeout for meddelelsesbussen: "Message did not receive a reply (timeout by message bus)".

I disse tilfælde skal du downloade .tar.gz-arkivet i stedet for og gemme Flash Player (libflashplayer.so) på denne placering:

/usr/lib/adobe-flashplugin/libflashplayer.so

Test afspilningen af beskyttet videoindhold vha. demo-afspilleren

  1. Start Adobes demo-videoafspiller: http://drmtest2.adobe.com:8080/SVP/SampleVideoPlayer_FP.html
     
      Læg mærke til Adobe Flash Player-versionen i det nederste venstre hjørne af demo-videoafspilleren. Sørg for, at den er version 11.2 eller højere
       
  2. Afspil en prøve på beskyttet indhold.
     
      Angiv følgende URL-adresse i feltet til videoens URL-adresse:
      http://drmtest2.adobe.com:8080/Content/anonymous.f4v
       
  3. Klik på afspilningsknappen nederst i videoafspilleren.

Det beskyttede anonymous.f4v-indhold afspilles (videoen kaldes for "Gettys togvideo").

 

Berørte produkter

Adobe Flash Player 11, Flash Access (FAXS), Ubuntu 10.x og 11.x Linux

Dette arbejde har licens under en Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License  Opslag på Twitter™ og Facebook er ikke omfattet af vilkårene for Creative Commons.

Juridiske meddelelser   |   Politik for beskyttelse af personlige oplysninger online